Jump to content

Avatar

Magma won't export my song


  • Please log in to reply
12 replies to this topic

#1 JohnSmith2007

JohnSmith2007
  • 35 posts
  • Location
    Galifrey

Posted September 1, 2019 - 09:52 PM

When i try to export the song it gives me this error....

 

You have audio stems with different sample rates and/or bits

per sample

All audio stems must be either 44,100Hz or 48,000Hz, must be in the same sample rate, and must have matching bits per sample (16 bit or 24 bit only)

Right now you have the following:

 

44,100Hz:

 

48,000Hz:

Drum Kit (16 bit)

Bass (16 bit)

Guitar (16 bit)

Vocals (16 bit)

Backing (16 bit)

 

Not Supported:

 

You can't compile the song until all tracks match!

Try again

 

 

 

BUT EVERYTHING DOES MATCH! Is this thing being retarded?!!!



#2 Nene~Chan

Nene~Chan
  • 26 posts

Posted September 1, 2019 - 09:58 PM

Close it and try again.



#3 TrojanNemo

TrojanNemo

    The Programmer

  • 4,970 posts
  • Location
    Miami, Florida

Posted September 2, 2019 - 12:58 AM

When i try to Is this thing being retarded?!!!

 

Probably :haw:



#4 LukaMagic77

LukaMagic77
  • 18 posts

Posted September 2, 2019 - 11:33 PM

If closing and restarting doesn't work, try running each file through REAPER and rendering them as 44,100Hz, and 16 bit



#5 JohnSmith2007

JohnSmith2007
  • 35 posts
  • Location
    Galifrey

Posted September 3, 2019 - 01:10 PM

Ok, so i fixed the error, but now it's giving me this...

 

ERROR: MIDI Compiler: (MIDI FILE): Time division must be 480 ticks per quarter; this file is 192 ticks per quarter



#6 JohnSmith2007

JohnSmith2007
  • 35 posts
  • Location
    Galifrey

Posted September 3, 2019 - 01:10 PM

Now what?



#7 JohnSmith2007

JohnSmith2007
  • 35 posts
  • Location
    Galifrey

Posted September 3, 2019 - 01:18 PM

Nevermind, fixed it. But now it's giving me this...

 

ERROR: MIDI Compiler: (MIDI FILE): Track BEAT required but not found
 

Now what?



#8 Alternity

Alternity
  • 1,036 posts

Posted September 3, 2019 - 01:29 PM

Have you read the authoring docs?

Here's the link just in case: http://docs.c3univer...title=Main_Page



#9 JohnSmith2007

JohnSmith2007
  • 35 posts
  • Location
    Galifrey

Posted September 3, 2019 - 01:38 PM

Great, more errors.

 

ERROR: MIDI Compiler: (PART DRUMS): Difficulty expert: Gem at [2:1:240] is only 2.25 seconds into the song; gems cannot appear before 2.45 seconds into the song
ERROR: MIDI Compiler: (PART DRUMS): Overlapping or too-close gems at [18:2:390] for difficulty expert



#10 Alternity

Alternity
  • 1,036 posts

Posted September 3, 2019 - 01:40 PM

These errors are very clear. First error says there are notes before you can have notes. Rock band needs 2.45 seconds for the intro animations where all the UI is comming into place when you start a song, so you can't place notes before that. Second error says notes are either overlapping or too close, which cannot happen. Overlapping notes are only supported on 5 button keys, and too close gems should be "chords", happening at the same time.

It's really clearly indicated. You probably should read them more carefully because if you post here for every errors you get we're gonna be here all day or even all week, this happens all the time.

For reference, the [x:y:z] is the location of the note(s). x is the bar number, y is the beat number inside that bar, and z is the tick number inside that beat, one beat is 480 ticks.



#11 JohnSmith2007

JohnSmith2007
  • 35 posts
  • Location
    Galifrey

Posted September 3, 2019 - 01:48 PM

so, if I had a red note on top of a kick note, would that count as an overlapping note?



#12 JohnSmith2007

JohnSmith2007
  • 35 posts
  • Location
    Galifrey

Posted September 3, 2019 - 01:53 PM

also, i can't have notes close together?

 

So the chart I designed in Moonscraper can't be used?

 

https://drive.google...open?id=1DsAPcv<== song files



#13 TrojanNemo

TrojanNemo

    The Programmer

  • 4,970 posts
  • Location
    Miami, Florida

Posted September 3, 2019 - 11:31 PM

If you read our charting tutorials and guides you will see everywhere that REAPER 4.22 is recommended. You are using something other than REAPER 4.22. You are going to have issues.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users